Module org.jfree.chart3d
Package org.jfree.chart3d.table

# Enum Class HAlign

java.lang.Object
java.lang.Enum<HAlign>
org.jfree.chart3d.table.HAlign

All Implemented Interfaces:
  `Serializable`, `Comparable<HAlign>`, `Constable`

public enum HAlign extends Enum<HAlign>
Horizontal alignment options.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CENTER`
Center alignment.
`LEFT`
Left alignment.
`RIGHT`
Right alignment.

## Method Summary

Modifier and Type
Method
Description
`static HAlign`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static HAlign[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### LEFT

public static final HAlign LEFT
Left alignment.

### CENTER

public static final HAlign CENTER
Center alignment.

### RIGHT

public static final HAlign RIGHT
Right alignment.

## Method Details

### values

public static HAlign[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static HAlign valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null